<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>BeanCreationContext (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BeanCreationContext (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BeanCreationContext.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/beanutils/BeanCreationContext.html" target="_top">Frames</a></li>
<li><a href="BeanCreationContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.beanutils</div>
<h2 title="Interface BeanCreationContext" class="title">Interface BeanCreationContext</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">BeanCreationContext</span></pre>
<div class="block"><p>
 Definition of a context object storing all required information for the
 creation of a bean.
 </p>
 <p>
 An object implementing this interface is passed to a <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanFactory.html" title="interface in org.apache.commons.configuration2.beanutils"><code>BeanFactory</code></a>. The
 interface also contains methods for the creation and initialization of nested
 beans (e.g. constructor arguments or complex properties of the bean to be
 created).
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: BeanCreationContext.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#createBean-org.apache.commons.configuration2.beanutils.BeanDeclaration-">createBean</a></span>(<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Creates a bean based on the given <code>BeanDeclaration</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#getBeanClass--">getBeanClass</a></span>()</code>
<div class="block">Returns the class of the bean to be created.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#getBeanDeclaration--">getBeanDeclaration</a></span>()</code>
<div class="block">Returns the <code>BeanDeclaration</code> with the data for the new bean.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#getParameter--">getParameter</a></span>()</code>
<div class="block">Returns the (optional) parameter object for the bean factory.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanCreationContext.html#initBean-java.lang.Object-org.apache.commons.configuration2.beanutils.BeanDeclaration-">initBean</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;bean,
        <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</code>
<div class="block">Initializes a bean's property based on the given <code>BeanDeclaration</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBeanClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanClass</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;getBeanClass()</pre>
<div class="block">Returns the class of the bean to be created.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the bean class</dd>
</dl>
</li>
</ul>
<a name="getBeanDeclaration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanDeclaration</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;getBeanDeclaration()</pre>
<div class="block">Returns the <code>BeanDeclaration</code> with the data for the new bean. This
 data is used to initialize the bean's properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>BeanDeclaration</code> defining the bean to be created</dd>
</dl>
</li>
</ul>
<a name="getParameter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameter</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getParameter()</pre>
<div class="block">Returns the (optional) parameter object for the bean factory. This is a
 mechanism which can be used to pass custom parameters to a
 <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanFactory.html" title="interface in org.apache.commons.configuration2.beanutils"><code>BeanFactory</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parameter for the bean factory</dd>
</dl>
</li>
</ul>
<a name="initBean-java.lang.Object-org.apache.commons.configuration2.beanutils.BeanDeclaration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initBean</h4>
<pre>void&nbsp;initBean(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;bean,
              <a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</pre>
<div class="block">Initializes a bean's property based on the given <code>BeanDeclaration</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bean</code> - the bean to be initialized</dd>
<dd><code>data</code> - the <code>BeanDeclaration</code> with initialization data for this
        bean</dd>
</dl>
</li>
</ul>
<a name="createBean-org.apache.commons.configuration2.beanutils.BeanDeclaration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createBean</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;createBean(<a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a>&nbsp;data)</pre>
<div class="block">Creates a bean based on the given <code>BeanDeclaration</code>. This method
 can be used to create dependent beans needed for the initialization of
 the bean that is actually created.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - the <code>BeanDeclaration</code> describing the bean</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the bean created based on this declaration</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BeanCreationContext.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/beanutils/BeanCreationContext.html" target="_top">Frames</a></li>
<li><a href="BeanCreationContext.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
